#!/bin/bash

set -e

ES_LOCATION="$HOME/bin/elasticsearch-8.6.2/"

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

cd "$SCRIPT_DIR"

# Build the ingestor plugin
./gradlew build

"${ES_LOCATION}/bin/elasticsearch-plugin" install --batch "file:///${SCRIPT_DIR}/build/distributions/ingest-lookup-8.6.2.zip"